# PetscViewerBinaryMatlabOutputVecDA

Output a Vec object associtated with a DA to the viewer and write matlab code to the info file to read a DA's Vec from binary.

### Synopsis

    #undef __FUNCT__
    #define __FUNCT__ "PetscViewerBinaryMatlabOutputVecDA"
    PetscErrorCode PetscViewerBinaryMatlabOutputVecDA(PetscViewer viewer, const char name[], Vec vec, DA da)

### Input Parameters

| viewer | - The viewer object
| name | - The name of the field variable to be written
| vec | - The Vec containing the field data to output
| da | - The DA governing layout of Vec

Note: This method requires dof names to have been set using DASetFieldName().

### See Also

PetscViewerBinaryMatlabOpen(), PetscViewerBinaryMatlabOutputBag(), PetscViewerBinaryMatlabOutputVec(), DASetFieldName()

Level:intermediate
Location: src/dm/da/utils/binaryMatlab.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages